/*
  Analog input, analog output, serial output
 
 Reads an analog input pin, maps the result to a range from 4 to 20
 and uses the result to set the pulsewidth modulation (PWM) of an output pin.
 Also prints the results to the serial monitor.
 
 The circuit:
 * zuchi bricks 4 a 20mA to 0 a 5V is used and conected in analog in 0
 * LED connected from digital pin 9 to ground
 
 created 29 Dec. 2008
 Modified 4 Sep 2010
 by Tom Igoe
 Modified 1 Sep 2012
 by Pedro Zuchi
  
 This example code is in the public domain.
 
 */

// These constants won't change.  They're used to give names
// to the pins used:
const int analogInPin = A0;  // Analog input pin that the potentiometer is attached to

int ADValue = 0; // value read from the analog in (0..5V -> 0..1023)
int CurrentValue; // local variable receive value range adjustable

void setup() {
  // initialize serial communications at 9600 bps:
  Serial.begin(9600); 
}

void loop() {
  // read the analog in value:
  ADValue = analogRead(analogInPin);            
  // map it to the range of the analog out:
  CurrentValue = map(ADValue, 0, 1023, 40, 200);  
  
  // print the results to the serial monitor:
  Serial.print("AD value (0 to 1023)= " );                       
  Serial.print(ADValue);      
  Serial.print("\t Current value (4.0 to 20.0mA) = ");      
  Serial.println((CurrentValue/10.0),1);   

  // wait 100 milliseconds before the next loop
  // for the analog-to-digital converter to settle
  // after the last reading:
  delay(100);                     
}
